Bug 17497 - unable to rebuild src.rpm's
unable to rebuild src.rpm's
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: binutils (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-14 07:50 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-14 07:51:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-09-14 07:50:32 EDT
I'm not sure if this bug has something to do with binutils. If not, sorry
for that.

Since one of the security updates of the last two weeks or so (glibc?) I am
unable to rebuild src.rpm's, which were working perfectly until a few weeks
ago. I found that "strip" had something to do with this, which doesn't mean
that the cause is "strip" of course. I also tried to rebuild binutils but
with the same result. I posted a tee output of ssh.src.rpm on my website.

This is what happens when I rebuild ssh-1.2.27-7i.src.rpm:

http://www.casema.net/~pe1bbf/ssh.txt (full log)

This is what happens when I rebuild binutils-2.9.5.0.22-6.src.rpm

+ strip /var/tmp/binutils-root/usr/bin/ar /var/tmp/binutils-root/usr/bin/as
/var/tmp/binutils-root/usr/bin/ld /var/tmp/binutils-root/usr/bin/nm
/var/tmp/binutils-root/usr/bin/ranlib /var/tmp/binutils-root/usr/bin/strip
strip: /var/tmp/binutils-root/usr/bin/strip: simple_copy: Text file busy
+ gzip -q9f /var/tmp/binutils-root/usr/info/*.info*
/var/tmp/binutils-root/usr/info/*.info*: No such file or directory
Bad exit status from /var/tmp/rpm-tmp.77863 (%install)
Comment 1 Need Real Name 2000-09-16 08:19:41 EDT
I found out that rpm-3.0.5 is guilty.

Note You need to log in before you can comment on or make changes to this bug.